This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 768386 - [abrt] gedit-3.2.5-1.fc16: g_hash_table_iter_next: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.2.5-1.fc16: g_hash_table_iter_next: Process /usr/bin/gedit was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:4fdc77a3a0d40a0469a485cca4a...
:
: 767824 770187 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-16 09:16 EST by Pierguido Lambri
Modified: 2013-02-13 16:57 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:57:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (15.87 KB, text/plain)
2011-12-16 09:16 EST, Pierguido Lambri
no flags Details
File: build_ids (5.21 KB, text/plain)
2011-12-16 09:16 EST, Pierguido Lambri
no flags Details
File: maps (61.98 KB, text/plain)
2011-12-16 09:16 EST, Pierguido Lambri
no flags Details
File: xsession_errors (6.06 KB, text/plain)
2011-12-16 09:16 EST, Pierguido Lambri
no flags Details
File: backtrace (25.48 KB, text/plain)
2011-12-16 09:16 EST, Pierguido Lambri
no flags Details
File: backtrace (22.95 KB, text/plain)
2012-02-12 10:15 EST, Philip Chimento
no flags Details
File: backtrace (22.66 KB, text/plain)
2012-02-17 17:54 EST, Victor Costan
no flags Details
File: backtrace (27.89 KB, text/plain)
2012-02-18 18:32 EST, Renich Bon Ciric
no flags Details
File: backtrace (17.18 KB, text/plain)
2012-02-22 12:26 EST, Valentine Ther
no flags Details
File: backtrace (20.65 KB, text/plain)
2012-03-19 23:57 EDT, Terry Wallwork
no flags Details
File: backtrace (21.39 KB, text/plain)
2012-03-28 07:31 EDT, Noori
no flags Details
File: backtrace (17.42 KB, text/plain)
2012-05-15 04:48 EDT, Jonathan
no flags Details

  None (edit)
Description Pierguido Lambri 2011-12-16 09:16:25 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gedit
crash_function: g_hash_table_iter_next
executable:     /usr/bin/gedit
kernel:         3.1.5-2.fc16.x86_64
pid:            26948
pwd:            /home/pier
reason:         Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
time:           Fri 16 Dec 2011 13:49:26 GMT
uid:            1000
username:       pier

backtrace:      Text file, 26089 bytes
build_ids:      Text file, 5330 bytes
dso_list:       Text file, 16247 bytes
maps:           Text file, 63466 bytes
xsession_errors: Text file, 6207 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=piernb
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6eeae8a08c3311ad9cf75bdd0000001a-1323944429.112184-1995841109
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-G5DmCg
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=pier
:USERNAME=pier
:MAIL=/var/spool/mail/pier
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/pier/support-scripts/docs:/home/pier/support-scripts/general:/home/pier/support-scripts/internal:/home/pier/support-scripts/lib:/home/pier/support-scripts/one-offs:/home/pier/support-scripts/plugins:/home/pier/support-scripts/sbr-cluster:/home/pier/support-scripts/sbr-identity:/home/pier/support-scripts/sbr-kernel:/home/pier/support-scripts/sbr-networking:/home/pier/support-scripts/sbr-satellite:/home/pier/support-scripts/sbr-storage:/home/pier/support-scripts/sbr-virt:/home/pier/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/pier
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1968
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/pier
:XDG_SEAT=seat0
:SHLVL=1
:REPO_PROFILE=1
:LOGNAME=pier
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-5Xk02Gv5fT,guid=c98fea3f4204564c6683094d0000010c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/pier
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-pier-cCTqP9/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1973,unix/unix:/tmp/.ICE-unix/1973
:SSH_AUTH_SOCK=/tmp/keyring-G5DmCg/ssh
:GPG_AGENT_INFO=/tmp/keyring-G5DmCg/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-2215-piernb-gedit-9_TIME45110991
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=26948

smolt_data:
:
:
:General
:=================================
:UUID: 087f8790-876c-4894-a14b-f21c3186f344
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 5053.22
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 540  @ 2.53GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 3753
:System Swap: 4093
:Vendor: LENOVO
:System: 2537CT4 ThinkPad T410
:Form factor: Notebook
:Kernel: 3.1.5-2.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59442:6058:8502) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16952:32902:4369) pci, iwlagn, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_piernb-root / ext4 4096 4096 12603057 6842495 6202291 3203072 2983874 2983874
:/dev/mapper/luks-e8fd0e87-c105-4682-8678-c38951f0c26e /home ext4 4096 4096 24689563 6163402 4909233 6275072 5709304 5709304
:

var_log_messages:
:Dec 12 10:24:28 piernb yum[20498]: Updated: 2:gedit-3.2.5-1.fc16.x86_64
:Dec 16 13:42:24 piernb yum[21377]: Installed: gedit-code-assistance-0.1.2-1.fc16.x86_64
:Dec 16 13:42:26 piernb yum[21377]: Installed: gedit-plugins-3.2.1-1.fc16.x86_64
:Dec 16 13:49:28 piernb abrt[3240]: Saved core dump of pid 26948 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2011-12-16-13:49:26-26948 (110473216 bytes)
Comment 1 Pierguido Lambri 2011-12-16 09:16:30 EST
Created attachment 547819 [details]
File: dso_list
Comment 2 Pierguido Lambri 2011-12-16 09:16:33 EST
Created attachment 547820 [details]
File: build_ids
Comment 3 Pierguido Lambri 2011-12-16 09:16:37 EST
Created attachment 547821 [details]
File: maps
Comment 4 Pierguido Lambri 2011-12-16 09:16:39 EST
Created attachment 547822 [details]
File: xsession_errors
Comment 5 Pierguido Lambri 2011-12-16 09:16:43 EST
Created attachment 547823 [details]
File: backtrace
Comment 6 Philip Chimento 2012-02-12 10:15:30 EST
Activating the gedit-cossa plugin from within gedit

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 7 Philip Chimento 2012-02-12 10:15:36 EST
Created attachment 561230 [details]
File: backtrace
Comment 8 Victor Costan 2012-02-17 17:54:37 EST
I installed a bunch of plugin packages for gedit, and just enabled the color picker plugin.

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 9 Victor Costan 2012-02-17 17:54:42 EST
Created attachment 564000 [details]
File: backtrace
Comment 10 Renich Bon Ciric 2012-02-18 18:32:28 EST
Just installing all the plugins and was enabling them.

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 11 Renich Bon Ciric 2012-02-18 18:32:32 EST
Created attachment 564097 [details]
File: backtrace
Comment 12 Valentine Ther 2012-02-22 12:26:29 EST
I installed everything from gedit with "yum install gedit*"

I tried to change some of the plugins, and instead of clicking the check mark on one of the plugins, I double clicked it's name. And it crashed.


backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 13 Valentine Ther 2012-02-22 12:26:34 EST
Created attachment 565045 [details]
File: backtrace
Comment 14 Terry Wallwork 2012-03-19 23:57:39 EDT
Enabled  then disabled the plugin Edit document in multiple places at once.

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 15 Terry Wallwork 2012-03-19 23:57:46 EDT
Created attachment 571276 [details]
File: backtrace
Comment 16 abrt-bot 2012-03-20 13:21:26 EDT
Backtrace analysis of bugs across components suggests the actual bug might be in component glib2 or gtk3 instead of component gedit. You might want to inspect the backtrace from the bug listed below to find out the correct component.

Bug #770187 from component empathy was found to be similar to this bug.

This comment is automatically generated.
Comment 17 abrt-bot 2012-03-20 13:21:35 EDT
*** Bug 770187 has been marked as a duplicate of this bug. ***
Comment 18 Noori 2012-03-28 07:31:38 EDT
when I enable some plugins 

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 19 Noori 2012-03-28 07:31:46 EDT
Created attachment 573316 [details]
File: backtrace
Comment 20 abrt-bot 2012-03-30 08:46:50 EDT
*** Bug 767824 has been marked as a duplicate of this bug. ***
Comment 21 Jonathan 2012-05-15 04:48:20 EDT
clicked a plugin in preferences in gedit

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 22 Jonathan 2012-05-15 04:48:28 EDT
Created attachment 584594 [details]
File: backtrace
Comment 23 Fedora End Of Life 2013-01-16 12:22:27 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Fedora End Of Life 2013-02-13 16:57:31 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.